org.eclnt.jsfserver.util

## Class ServletUtil

- java.lang.Object
- - org.eclnt.jsfserver.util.ServletUtil

- All Implemented Interfaces:
    ICCServerConstants

      public class ServletUtil
      extends java.lang.Object
      implements ICCServerConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServletUtil.GetRequestBlockedByConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `addQueryParameterToURL(java.lang.String url, java.lang.String name, java.lang.String value)`
    `static java.lang.String` | `decodeURL(java.lang.String url)`
    `static java.lang.String` | `encodeURL(java.lang.String url, HttpServletRequest req, HttpServletResponse resp)`
    `static void` | `ensureFilterGetIsAllowed(java.lang.Class clazz)`
    `static void` | `ensureServletGetIsAllowed(java.lang.Class clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletUtil

          public ServletUtil()

  - ### Method Detail

    - #### encodeURL

          public static java.lang.String encodeURL(java.lang.String url,
                                                   HttpServletRequest req,
                                                   HttpServletResponse resp)

    - #### decodeURL

          public static java.lang.String decodeURL(java.lang.String url)

    - #### addQueryParameterToURL

          public static java.lang.String addQueryParameterToURL(java.lang.String url,
                                                                java.lang.String name,
                                                                java.lang.String value)

    - #### ensureServletGetIsAllowed

          public static void ensureServletGetIsAllowed(java.lang.Class clazz)

    - #### ensureFilterGetIsAllowed

          public static void ensureFilterGetIsAllowed(java.lang.Class clazz)

Copyright © CaptainCasa Gmbh. All Rights Reserved.